<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue Apr 06 18:16:02 CEST 2021 -->
<title>Propriete</title>
<meta name="date" content="2021-04-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Propriete";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":6,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Propriete.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../back/Plateau.html" title="class in back"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../back/Salle.html" title="class in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/Propriete.html" target="_top">Frames</a></li>
<li><a href="Propriete.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">back</div>
<h2 title="Class Propriete" class="title">Class Propriete</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../back/Case.html" title="class in back">back.Case</a></li>
<li>
<ul class="inheritance">
<li>back.Propriete</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../back/CentreCommercial.html" title="class in back">CentreCommercial</a>, <a href="../back/Salle.html" title="class in back">Salle</a>, <a href="../back/Service.html" title="class in back">Service</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">Propriete</span>
extends <a href="../back/Case.html" title="class in back">Case</a></pre>
<div class="block">Classe abstraite représentant les propriétés.
 Cette classe étend la Classe Case.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../back/Case.html" title="class in back"><code>Case</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../back/Propriete.html#Propriete-java.lang.String-int-java.lang.String-int-">Propriete</a></span>(java.lang.String&nbsp;nom,
         int&nbsp;id,
         java.lang.String&nbsp;couleur,
         int&nbsp;prixAchat)</code>
<div class="block">Constructeur d'une propriété.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Propriete.html#acheter-back.Joueur-">acheter</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode abstraite pour toutes les propriétés.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Propriete.html#actionCase-back.Joueur-">actionCase</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode d'action de la case.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Propriete.html#estPossedee--">estPossedee</a></span>()</code>
<div class="block">Renvoie un booléen indiquant si la propriété est possédée.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Propriete.html#getLoyer-int-">getLoyer</a></span>(int&nbsp;nb)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Propriete.html#getPrixAchat--">getPrixAchat</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../back/Joueur.html" title="class in back">Joueur</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Propriete.html#getProprio--">getProprio</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Propriete.html#payerLoyer-back.Joueur-">payerLoyer</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode abstraite pour toutes les propriétés.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Propriete.html#setPrixAchat-int-">setPrixAchat</a></span>(int&nbsp;prixAchat)</code>
<div class="block">Méthode de modification du prix d'achat d'une propriété.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Propriete.html#setProprio-back.Joueur-">setProprio</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;proprio)</code>
<div class="block">Méthode de modification du propriétaire de la propriété.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.back.Case">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;back.<a href="../back/Case.html" title="class in back">Case</a></h3>
<code><a href="../back/Case.html#getCouleur--">getCouleur</a>, <a href="../back/Case.html#getFiche--">getFiche</a>, <a href="../back/Case.html#getId--">getId</a>, <a href="../back/Case.html#getNom--">getNom</a>, <a href="../back/Case.html#getView--">getView</a>, <a href="../back/Case.html#setCouleur-java.lang.String-">setCouleur</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Propriete-java.lang.String-int-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Propriete</h4>
<pre>public&nbsp;Propriete(java.lang.String&nbsp;nom,
                 int&nbsp;id,
                 java.lang.String&nbsp;couleur,
                 int&nbsp;prixAchat)</pre>
<div class="block">Constructeur d'une propriété.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nom</code> - Le nom de la case en String.</dd>
<dd><code>id</code> - L'identifiant de la case en int.</dd>
<dd><code>couleur</code> - La couleur de la propriété.</dd>
<dd><code>prixAchat</code> - Le prix d'achat de la propriete.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getPrixAchat--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrixAchat</h4>
<pre>public&nbsp;int&nbsp;getPrixAchat()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un int correspondant au prix de la propriété.</dd>
</dl>
</li>
</ul>
<a name="setPrixAchat-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPrixAchat</h4>
<pre>public&nbsp;void&nbsp;setPrixAchat(int&nbsp;prixAchat)</pre>
<div class="block">Méthode de modification du prix d'achat d'une propriété.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>prixAchat</code> - Le nouveau prix d'achat.</dd>
</dl>
</li>
</ul>
<a name="setProprio-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProprio</h4>
<pre>public&nbsp;void&nbsp;setProprio(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;proprio)</pre>
<div class="block">Méthode de modification du propriétaire de la propriété.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>proprio</code> - Le nouveau propriétaire de la propriété.</dd>
</dl>
</li>
</ul>
<a name="getProprio--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProprio</h4>
<pre>public&nbsp;<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;getProprio()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Le propriétaire de la propriété.</dd>
</dl>
</li>
</ul>
<a name="estPossedee--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>estPossedee</h4>
<pre>public&nbsp;boolean&nbsp;estPossedee()</pre>
<div class="block">Renvoie un booléen indiquant si la propriété est possédée.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>vrai si la propriété est possédée, faux sinon.</dd>
</dl>
</li>
</ul>
<a name="getLoyer-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLoyer</h4>
<pre>public&nbsp;int&nbsp;getLoyer(int&nbsp;nb)</pre>
</li>
</ul>
<a name="acheter-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>acheter</h4>
<pre>public abstract&nbsp;void&nbsp;acheter(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</pre>
<div class="block">Méthode abstraite pour toutes les propriétés.
 Elle permet d'ajouter au joueur la propriété achetée.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>j</code> - Joueur qui achète</dd>
</dl>
</li>
</ul>
<a name="payerLoyer-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>payerLoyer</h4>
<pre>public abstract&nbsp;void&nbsp;payerLoyer(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</pre>
<div class="block">Méthode abstraite pour toutes les propriétés.
 Elle permet de payer le joueur propriétaire de la propriété.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>j</code> - Joueur qui paye</dd>
</dl>
</li>
</ul>
<a name="actionCase-back.Joueur-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>actionCase</h4>
<pre>public&nbsp;void&nbsp;actionCase(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</pre>
<div class="block">Méthode d'action de la case.
 C'est cette méthode qui oriente l'action que doit réaliser le joueur.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../back/Case.html#actionCase-back.Joueur-">actionCase</a></code>&nbsp;in class&nbsp;<code><a href="../back/Case.html" title="class in back">Case</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>j</code> - Le joueur paye le propriétaire de la propriété.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../back/Joueur.html" title="class in back"><code>Joueur</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Propriete.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../back/Plateau.html" title="class in back"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../back/Salle.html" title="class in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/Propriete.html" target="_top">Frames</a></li>
<li><a href="Propriete.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
